package prog.labs.chat.ly.db;

import java.util.ArrayList;
import java.util.List;

import prog.labs.chat.ly.models.Mensaje;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteStatement;

public class MessageDAO {
	
	private SQLiteDatabase db;
	private DB ayudador;
	
	public MessageDAO(Context contexto){
		ayudador = new DB(contexto);
	}
	
	public void abrir(){
		db = ayudador.getWritableDatabase();
	}
	
	public void cerrar(){
		ayudador.close();
	}
	
	public void InsertarMensaje(Mensaje message){
		  SQLiteStatement statuto = db.compileStatement("INSERT INTO Mensajes(mensaje,emisorid,receptorid,conversacionid) values(?,?,?,?)");
		  statuto.bindString(1, message.mensaje);
		  statuto.bindString(2, message.emisorid);
		  statuto.bindString(3, message.receptorid);
		  statuto.bindString(4, message.conversacionid);
		  statuto.execute();
	}
	
	public void rebootMessages(){
		db.execSQL("DELETE FROM Mensajes");
	}
	
	public List<Mensaje> dameMensajesConversacion(String conversationid, String userid){
		List<Mensaje> listita = new ArrayList<Mensaje>();
		Cursor c = db.rawQuery("SELECT * FROM Mensajes where conversacionid = '"+conversationid+"'" , null);
		while (c.moveToNext()) {
			Boolean ida = true;
			if (c.getString(2).equals(userid)) {
				ida = false;
			}
			Mensaje hei = new Mensaje(ida, c.getString(1));
			hei.emisorid = c.getString(2);
			hei.receptorid = c.getString(3);
			hei.conversacionid = c.getString(4);
			listita.add(hei);
		}
		return listita;
	}

}
